MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030223Open CASCADE[OCCT] OCCT:Visualizationpublic2018-10-09 16:402018-12-13 10:45
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatustestedResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030223: Visualization, TKOpenGl - frustum culling does not clip objects within perspective camera
DescriptionWithin test script below which uses perspective projection,
frustum culling has no effect (all structures are rendered),
although it is clearly seen that 3 points at right side (pr1, pr2, pr3)
are far behind camera frustum.
Steps To Reproduce
pload MODELING VISUALIZATION
vclear
vinit View1 -width 800 -height 400
vdrawparray g trianglestrips v -97.9819 -175.225 -7.6706 v -97.9819  194.163 -7.6706 v 271.406  -175.225 
-7.6706 v 271.406   194.163 -7.6706

vpoint pl1  -4 -17  0
vpoint pl2  -4 -10 14
vpoint pl3   0  -6 17
vpoint pr1 179  17 39
vpoint pr2 174  -2 12
vpoint pr3 177   0 15
vfit
vrenderparams -perfCounters ALL -perfUpdateInterval -1

vcamera -persp
vviewparams -scale 5 -proj -0 -1 -0 -up 0 0 1 -at -157 9.5 19
vviewparams -scale 5 -proj -0 -1 -0 -up 0 0 1 -at -157 9.5 19
TagsNo tags attached.
Test case number
Attached Filespng file icon cull_KO.png (21,239 bytes) 2018-10-09 16:41

- Relationships
related to 0030412assignedosa Open CASCADE Visualization, TKV3d - add presentation of camera frustum 
child of 0024307closedapn Open CASCADE TKOpenGl - efficient culling of large number of presentations 

-  Notes
(0079956)
git (administrator)
2018-10-15 12:30

Branch CR30223_debug has been created by kgv.

SHA-1: b2fe622e57c73330cd4c09f07980690cb9f0551b


Detailed log of new commits:

Author: kgv
Date: Mon Oct 15 12:29:42 2018 +0300

    0030223: Visualization, TKOpenGl - frustum culling does not clip objects within perspective camera

Author: kgv
Date: Mon Sep 17 18:11:05 2018 +0300

    0030144: Visualization, TKOpenGl - extend OpenGl_FrameStats with frame timers
(0081459)
git (administrator)
2018-12-11 13:51

Branch CR30223 has been created by osa.

SHA-1: 17b21921ac8fd1938125bf74eedba88c12134843


Detailed log of new commits:

Author: osa
Date: Tue Dec 11 13:40:40 2018 +0300

    0030223: Visualization, TKOpenGl - frustum culling does not clip objects within perspective camera
(0081470)
git (administrator)
2018-12-11 18:08

Branch CR30223 has been updated forcibly by osa.

SHA-1: 57b6a23ce0557e0b7ca5731f40046569e229642d
(0081478)
osa (developer)
2018-12-12 10:33

Dear Kirill, please review.

Tests on Jenkins
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30223-master-OSA/ [^]
(0081479)
kgv (developer)
2018-12-12 10:38
edited on: 2018-12-12 11:03

Please raise the patch.

(0081486)
apn (administrator)
2018-12-12 12:39

Combination -
OCCT branch : CR30223 SHA - 17b21921ac8fd1938125bf74eedba88c12134843
Products branch : master SHA - 4eefea36b8ea8a987b6f644ce91f592588345220
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16380.290000000037 / 16366.920000000002 [+0.08%]
Products
Total CPU difference: 7063.970000000021 / 7064.160000000029 [-0.00%]
Windows-64-VC14:
OCCT
Total CPU difference: 17852.953125 / 17885.453125 [-0.18%]
Products
Total CPU difference: 8506.796875 / 8548.140625 [-0.48%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Issue History
Date Modified Username Field Change
2018-10-09 16:40 kgv New Issue
2018-10-09 16:40 kgv Assigned To => kgv
2018-10-09 16:41 kgv File Added: cull_KO.png
2018-10-09 16:42 kgv Relationship added child of 0024307
2018-10-09 16:42 kgv Product Version 7.3.0 => 6.8.0
2018-10-09 16:42 kgv Description Updated View Revisions
2018-10-09 16:43 kgv Description Updated View Revisions
2018-10-09 17:00 kgv Assigned To kgv => pdn
2018-10-09 17:00 kgv Status new => assigned
2018-10-15 12:30 git Note Added: 0079956
2018-12-08 19:52 kgv Assigned To pdn => osa
2018-12-08 20:02 kgv Relationship added related to 0029618
2018-12-11 13:51 git Note Added: 0081459
2018-12-11 18:08 git Note Added: 0081470
2018-12-11 20:01 kgv Relationship added child of 0026344
2018-12-11 20:02 kgv Product Version 6.8.0 => 7.0.0
2018-12-12 10:33 osa Note Added: 0081478
2018-12-12 10:33 osa Assigned To osa => kgv
2018-12-12 10:33 osa Status assigned => resolved
2018-12-12 10:38 kgv Note Added: 0081479
2018-12-12 10:38 kgv Assigned To kgv => bugmaster
2018-12-12 10:38 kgv Status resolved => reviewed
2018-12-12 11:03 kgv Note Edited: 0081479 View Revisions
2018-12-12 12:39 apn Note Added: 0081486
2018-12-12 12:39 apn Status reviewed => tested
2018-12-13 10:45 kgv Relationship added related to 0030412


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker